aboutsummaryrefslogtreecommitdiff
path: root/bin/jconsole
diff options
context:
space:
mode:
authorPatrick J Cherry <patrick@bytemark.co.uk>2011-04-13 17:03:16 +0100
committerPatrick J Cherry <patrick@bytemark.co.uk>2011-04-13 17:03:16 +0100
commit89a67770e66d11740948e90a41db6cee0482cf8e (patch)
treebe858515fb789a89d68f94975690ab019813726c /bin/jconsole
new version.
Diffstat (limited to 'bin/jconsole')
-rwxr-xr-xbin/jconsole23
1 files changed, 23 insertions, 0 deletions
diff --git a/bin/jconsole b/bin/jconsole
new file mode 100755
index 0000000..6e638ad
--- /dev/null
+++ b/bin/jconsole
@@ -0,0 +1,23 @@
+#!/usr/bin/env jruby
+
+require 'pp'
+pp $:
+
+Thread.abort_on_exception = true
+require 'irb'
+require 'thread'
+
+# hack for delving into test-generated configurations
+class AlertAndNotificationLogic; Alerts = Queue.new; end
+
+require 'mauve/configuration'
+include Mauve
+#raise "must specify config file" unless ARGV.length > 0
+unless ARGV.length > 0
+ STDERR.print("You must specify a configuration file as $arg[1]\n")
+ STDERR.print(" eg: ./mauve_starter ./bin/console ./test/local.conf\n")
+ exit 1
+end
+Configuration.current = ConfigurationBuilder.load(ARGV.shift)
+IRB.start
+